<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: 構造体 MInputContext</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li class="current"><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="classes.html"><span>データ構造索引</span></a></li>
      <li><a href="functions.html"><span>データフィールド</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>構造体 MInputContext<br/>
<small>
[<a class="el" href="group__m17nInputMethod.html">入力メソッド (基本部分)</a>]</small>
</h1><!-- doxytag: class="MInputContext" -->
<p>入力コンテクスト用構造体.  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMInputMethod.html">MInputMethod</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputContext.html#a61a94b70f77af6c5c16111b13c17508d">im</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputContext.html#abcc80db3e3c89a99611e44405540984e">produced</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputContext.html#adaa95c2bfb799d6329bb4e3c2d95b992">arg</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputContext.html#ae9d32f7e51c86e172789ef35d52e36d2">active</a></td></tr>
<tr><td class="memItemLeft" >struct {</td></tr>
<tr><td class="memItemLeft" >&nbsp;&nbsp;&nbsp;int&nbsp;&nbsp;&nbsp;<a class="el" href="structMInputContext.html#ad0ddea81107d27fcea91b833c6cd8c46">x</a></td></tr>
<tr><td class="memItemLeft" >&nbsp;&nbsp;&nbsp;int&nbsp;&nbsp;&nbsp;<a class="el" href="structMInputContext.html#a1bce06fc197b83fbe61ebe0b0d366c94">y</a></td></tr>
<tr><td class="memItemLeft" >&nbsp;&nbsp;&nbsp;int&nbsp;&nbsp;&nbsp;<a class="el" href="structMInputContext.html#ad1203e2d94ecae1faf59b396335746e9">ascent</a></td></tr>
<tr><td class="memItemLeft" >&nbsp;&nbsp;&nbsp;int&nbsp;&nbsp;&nbsp;<a class="el" href="structMInputContext.html#ab1ec923a596b4deb2a1ad086ec26b4f5">descent</a></td></tr>
<tr><td class="memItemLeft" >&nbsp;&nbsp;&nbsp;int&nbsp;&nbsp;&nbsp;<a class="el" href="structMInputContext.html#a5024b6f408bf42851ed351fb042fbe96">fontsize</a></td></tr>
<tr><td class="memItemLeft" >&nbsp;&nbsp;&nbsp;<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;&nbsp;&nbsp;<a class="el" href="structMInputContext.html#a8b253a1996d374bcf6d72787bcb9c201">mt</a></td></tr>
<tr><td class="memItemLeft" >&nbsp;&nbsp;&nbsp;int&nbsp;&nbsp;&nbsp;<a class="el" href="structMInputContext.html#a6c3634d77ee1e647c3ffebdcbb6eb0f8">pos</a></td></tr>
<tr><td class="memItemLeft" valign="top">}&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputContext.html#a073747cc1fd3105429f73a89d0c36f9c">spot</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputContext.html#a4da2ca307715dcbeca602aa5cfcb33c1">info</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputContext.html#a8d97006361b9b752d35f00e5ac75b238">status</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputContext.html#a851999b4de16727f39e918bb388deab4">status_changed</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputContext.html#ac21bdea1c1b75147e95f473f9c1f858e">preedit</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputContext.html#a341be05656979fb92e860f4c024ffcb0">preedit_changed</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputContext.html#ac9591f83981bf35ba2f1d3dd434c4874">cursor_pos</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputContext.html#a185a8cda3e382b121b8be90c7833c624">cursor_pos_changed</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputContext.html#a1e5d075cdade4c6fa85df493b4d59bd8">candidate_list</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputContext.html#a76794f673ced6c5533d70b8402932d7f">candidate_index</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputContext.html#a943db73e2b3acc93f688ae4906634c33">candidate_from</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputContext.html#a833ed0b9c6f4143ba5d96565701b9a2d">candidate_to</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputContext.html#abf2bc304a81d74df89d64c9a18f19cbe">candidate_show</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputContext.html#af22fda4a16e654bba630b093807b78f9">candidates_changed</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputContext.html#a12f494b6550e5ec675c187766fb9e461">plist</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p>入力コンテクスト用構造体. </p>
<p>See struct <a class="el" href="structMInputContext.html" title="入力コンテクスト用構造体.">MInputContext</a>.</p>
<p><code><a class="el" href="structMInputContext.html" title="入力コンテクスト用構造体.">MInputContext</a></code> は、入力コンテクストオブジェクト用の構造体の型である。 </p>
<hr/><h2>構造体</h2>
<a class="anchor" id="a61a94b70f77af6c5c16111b13c17508d"></a><!-- doxytag: member="MInputContext::im" ref="a61a94b70f77af6c5c16111b13c17508d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structMInputMethod.html">MInputMethod</a>* <a class="el" href="structMInputContext.html#a61a94b70f77af6c5c16111b13c17508d">MInputContext::im</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>入力メソッドへの逆ポインタ。関数 <a class="el" href="group__m17nInputMethod.html#ga8b32df84c645f73ed65e20a1d51c1859" title="入力コンテクストを生成する.">minput_create_ic()</a> によって設定される。 </p>

</div>
</div>
<a class="anchor" id="abcc80db3e3c89a99611e44405540984e"></a><!-- doxytag: member="MInputContext::produced" ref="abcc80db3e3c89a99611e44405540984e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a>* <a class="el" href="structMInputContext.html#abcc80db3e3c89a99611e44405540984e">MInputContext::produced</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>入力メソッドによって生成される M-text。関数 <a class="el" href="group__m17nInputMethod.html#gafe533480c705b877189938a0eecb1b57" title="入力コンテクスト中のテキストを探す.">minput_lookup()</a> によって設定される。 </p>

</div>
</div>
<a class="anchor" id="adaa95c2bfb799d6329bb4e3c2d95b992"></a><!-- doxytag: member="MInputContext::arg" ref="adaa95c2bfb799d6329bb4e3c2d95b992" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structMInputContext.html#adaa95c2bfb799d6329bb4e3c2d95b992">MInputContext::arg</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>関数 <a class="el" href="group__m17nInputMethod.html#ga8b32df84c645f73ed65e20a1d51c1859" title="入力コンテクストを生成する.">minput_create_ic()</a> に渡される引数。 </p>

</div>
</div>
<a class="anchor" id="ae9d32f7e51c86e172789ef35d52e36d2"></a><!-- doxytag: member="MInputContext::active" ref="ae9d32f7e51c86e172789ef35d52e36d2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMInputContext.html#ae9d32f7e51c86e172789ef35d52e36d2">MInputContext::active</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>入力コンテクストがアクティブかどうかを示すフラグ。 入力コンテクストが生成された時点では値は 1 （アクティブ）であり、関数 <a class="el" href="group__m17nInputMethod.html#ga065a8f8e5a28180fd0fa6d160e07481b" title="入力メソッドを切替える.">minput_toggle()</a> によってトグルされる。 </p>

</div>
</div>
<a class="anchor" id="ad0ddea81107d27fcea91b833c6cd8c46"></a><!-- doxytag: member="MInputContext::x" ref="ad0ddea81107d27fcea91b833c6cd8c46" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMInputContext.html#ad0ddea81107d27fcea91b833c6cd8c46">MInputContext::x</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>スポットの X, Y 座標. </p>

</div>
</div>
<a class="anchor" id="a1bce06fc197b83fbe61ebe0b0d366c94"></a><!-- doxytag: member="MInputContext::y" ref="a1bce06fc197b83fbe61ebe0b0d366c94" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMInputContext.html#a1bce06fc197b83fbe61ebe0b0d366c94">MInputContext::y</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad1203e2d94ecae1faf59b396335746e9"></a><!-- doxytag: member="MInputContext::ascent" ref="ad1203e2d94ecae1faf59b396335746e9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMInputContext.html#ad1203e2d94ecae1faf59b396335746e9">MInputContext::ascent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>スポットのアセントとディセントのピクセル数. </p>

</div>
</div>
<a class="anchor" id="ab1ec923a596b4deb2a1ad086ec26b4f5"></a><!-- doxytag: member="MInputContext::descent" ref="ab1ec923a596b4deb2a1ad086ec26b4f5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMInputContext.html#ab1ec923a596b4deb2a1ad086ec26b4f5">MInputContext::descent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a5024b6f408bf42851ed351fb042fbe96"></a><!-- doxytag: member="MInputContext::fontsize" ref="a5024b6f408bf42851ed351fb042fbe96" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMInputContext.html#a5024b6f408bf42851ed351fb042fbe96">MInputContext::fontsize</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>preedit テキスト用のフォントサイズ (1/10 ポイント単位). </p>

</div>
</div>
<a class="anchor" id="a8b253a1996d374bcf6d72787bcb9c201"></a><!-- doxytag: member="MInputContext::mt" ref="a8b253a1996d374bcf6d72787bcb9c201" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a>* <a class="el" href="structMInputContext.html#a8b253a1996d374bcf6d72787bcb9c201">MInputContext::mt</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>スポット上の M-text、または NULL. </p>

</div>
</div>
<a class="anchor" id="a6c3634d77ee1e647c3ffebdcbb6eb0f8"></a><!-- doxytag: member="MInputContext::pos" ref="a6c3634d77ee1e647c3ffebdcbb6eb0f8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMInputContext.html#a6c3634d77ee1e647c3ffebdcbb6eb0f8">MInputContext::pos</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>&lt;mt&gt; におけるスポットの文字位置. </p>

</div>
</div>
<a class="anchor" id="a073747cc1fd3105429f73a89d0c36f9c"></a><!-- doxytag: member="MInputContext::spot" ref="a073747cc1fd3105429f73a89d0c36f9c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct { ... }   <a class="el" href="structMInputContext.html#a073747cc1fd3105429f73a89d0c36f9c">MInputContext::spot</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>入力コンテクストのスポットの位置と大きさ. </p>

</div>
</div>
<a class="anchor" id="a4da2ca307715dcbeca602aa5cfcb33c1"></a><!-- doxytag: member="MInputContext::info" ref="a4da2ca307715dcbeca602aa5cfcb33c1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structMInputContext.html#a4da2ca307715dcbeca602aa5cfcb33c1">MInputContext::info</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>以下のメンバの使用法は入力メソッドドライバによって異なる。 以下の説明は、内部入力メソッド用の入力ドライバに対するものである。 これらは関数 &lt;im&gt;-&gt;driver.filter() によって設定される。 &lt;im&gt;-&gt;driver.create_ic() が設定する追加情報へのポインタ。 入力コンテクストの内部状態を記録するために用いられる。 </p>

</div>
</div>
<a class="anchor" id="a8d97006361b9b752d35f00e5ac75b238"></a><!-- doxytag: member="MInputContext::status" ref="a8d97006361b9b752d35f00e5ac75b238" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a>* <a class="el" href="structMInputContext.html#a8d97006361b9b752d35f00e5ac75b238">MInputContext::status</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>入力コンテクストの現在の状態を表す M-text </p>

</div>
</div>
<a class="anchor" id="a851999b4de16727f39e918bb388deab4"></a><!-- doxytag: member="MInputContext::status_changed" ref="a851999b4de16727f39e918bb388deab4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMInputContext.html#a851999b4de16727f39e918bb388deab4">MInputContext::status_changed</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>関数 &lt;im&gt;-&gt;driver.filter() は、&lt;status&gt; を変えた際にこの値を 1 に設定する。 </p>

</div>
</div>
<a class="anchor" id="ac21bdea1c1b75147e95f473f9c1f858e"></a><!-- doxytag: member="MInputContext::preedit" ref="ac21bdea1c1b75147e95f473f9c1f858e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a>* <a class="el" href="structMInputContext.html#ac21bdea1c1b75147e95f473f9c1f858e">MInputContext::preedit</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>現在の preedit テキストを含む M-text。関数 &lt;im&gt;-&gt;driver.filter() によって設定される。 </p>

</div>
</div>
<a class="anchor" id="a341be05656979fb92e860f4c024ffcb0"></a><!-- doxytag: member="MInputContext::preedit_changed" ref="a341be05656979fb92e860f4c024ffcb0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMInputContext.html#a341be05656979fb92e860f4c024ffcb0">MInputContext::preedit_changed</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>関数 &lt;im&gt;-&gt;driver.filter() は、&lt;preedit&gt; を変えた際にこの値を 1 に設定する。 </p>

</div>
</div>
<a class="anchor" id="ac9591f83981bf35ba2f1d3dd434c4874"></a><!-- doxytag: member="MInputContext::cursor_pos" ref="ac9591f83981bf35ba2f1d3dd434c4874" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMInputContext.html#ac9591f83981bf35ba2f1d3dd434c4874">MInputContext::cursor_pos</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>&lt;preedit&gt;のカーソル位置 </p>

</div>
</div>
<a class="anchor" id="a185a8cda3e382b121b8be90c7833c624"></a><!-- doxytag: member="MInputContext::cursor_pos_changed" ref="a185a8cda3e382b121b8be90c7833c624" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMInputContext.html#a185a8cda3e382b121b8be90c7833c624">MInputContext::cursor_pos_changed</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>関数 &lt;im&gt;-&gt;driver.filter() は、&lt;cursor_pos&gt; を変えた際にこの値を 1 に設定する。 </p>

</div>
</div>
<a class="anchor" id="a1e5d075cdade4c6fa85df493b4d59bd8"></a><!-- doxytag: member="MInputContext::candidate_list" ref="a1e5d075cdade4c6fa85df493b4d59bd8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* <a class="el" href="structMInputContext.html#a1e5d075cdade4c6fa85df493b4d59bd8">MInputContext::candidate_list</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>現在の候補グループの Plist 。各要素は M-text か plist である。 要素が M-text の場合（キーが Mtext である場合）には、そのグループの候補はその M-text 中の各文字である。 要素が plist の場合（キーが Mplist である場合）には、そのリストの各要素は M-text であり、それらがそのグループの候補となる。 </p>

</div>
</div>
<a class="anchor" id="a76794f673ced6c5533d70b8402932d7f"></a><!-- doxytag: member="MInputContext::candidate_index" ref="a76794f673ced6c5533d70b8402932d7f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMInputContext.html#a76794f673ced6c5533d70b8402932d7f">MInputContext::candidate_index</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>現在選択されている候補が全候補中で何番目かをを示すインデックス。 最初の候補のインデックスは 0。最初の候補グループに七つの候補が含まれており、この値が 8 ならば、現在の候補は二番目の候補グループの二番目の要素ということになる。 </p>

</div>
</div>
<a class="anchor" id="a943db73e2b3acc93f688ae4906634c33"></a><!-- doxytag: member="MInputContext::candidate_from" ref="a943db73e2b3acc93f688ae4906634c33" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMInputContext.html#a943db73e2b3acc93f688ae4906634c33">MInputContext::candidate_from</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>preedit テキスト中で、&lt;candidate_list&gt;に対応する最初と最後の位置。 </p>

</div>
</div>
<a class="anchor" id="a833ed0b9c6f4143ba5d96565701b9a2d"></a><!-- doxytag: member="MInputContext::candidate_to" ref="a833ed0b9c6f4143ba5d96565701b9a2d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMInputContext.html#a833ed0b9c6f4143ba5d96565701b9a2d">MInputContext::candidate_to</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="abf2bc304a81d74df89d64c9a18f19cbe"></a><!-- doxytag: member="MInputContext::candidate_show" ref="abf2bc304a81d74df89d64c9a18f19cbe" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMInputContext.html#abf2bc304a81d74df89d64c9a18f19cbe">MInputContext::candidate_show</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>現在の候補グループを表示するかどうかを示すフラグ。 関数 &lt;im&gt;-&gt;driver.filter() は、入力メソッドが候補の表示を要求した時この値を 1 に、それ以外の時 0 に設定する。 </p>

</div>
</div>
<a class="anchor" id="af22fda4a16e654bba630b093807b78f9"></a><!-- doxytag: member="MInputContext::candidates_changed" ref="af22fda4a16e654bba630b093807b78f9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMInputContext.html#af22fda4a16e654bba630b093807b78f9">MInputContext::candidates_changed</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>関数 &lt;im&gt;-&gt;driver.filter() は、上記のメンバ &lt;candidate_XXX&gt; の１つでも変更した際には、この値を <code>enum</code> <code>MInputCandidatesChanged</code> のビット単位での論理 OR に設定する。そう でなければ 0 に設定する。 </p>

</div>
</div>
<a class="anchor" id="a12f494b6550e5ec675c187766fb9e461"></a><!-- doxytag: member="MInputContext::plist" ref="a12f494b6550e5ec675c187766fb9e461" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* <a class="el" href="structMInputContext.html#a12f494b6550e5ec675c187766fb9e461">MInputContext::plist</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>&lt;im&gt;-&gt;driver の関数群によって自由に使用できる plist。 内部入力メソッド用ドライバはこれをコールバック関数との引数や返値 の受渡しに使用する。関数 &lt;im&gt;-&gt;driver.create_ic() はこの plist を空に設定する。関数&lt;im&gt;-&gt;driver.destroy_ic() は <a class="el" href="group__m17nObject.html#ga248ba287a615a2cf3cdb99c13275453b" title="管理下オブジェクトの参照数を 1 減らす.">m17n_object_unref()</a> を用いてこの plist を解放する。 </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
